# CbcHeuristicDiveVectorLength Class Reference

DiveVectorLength class. More...

`#include <CbcHeuristicDiveVectorLength.hpp>`

Inheritance diagram for CbcHeuristicDiveVectorLength:
[legend]
Collaboration diagram for CbcHeuristicDiveVectorLength:
[legend]

List of all members.

## Public Member Functions
| CbcHeuristicDiveVectorLength ()
| CbcHeuristicDiveVectorLength (CbcModel &model)
| CbcHeuristicDiveVectorLength (const CbcHeuristicDiveVectorLength &)
| ~CbcHeuristicDiveVectorLength ()
virtual CbcHeuristicDiveVectorLength * | clone () const
| Clone.
CbcHeuristicDiveVectorLength & | operator= (const CbcHeuristicDiveVectorLength &rhs)
| Assignment operator.
virtual void | generateCpp (FILE *fp)
| Create C++ lines to get to current state.
virtual bool | selectVariableToBranch (OsiSolverInterface *solver, const double *newSolution, int &bestColumn, int &bestRound)
| Selects the next variable to branch on.

## Detailed Description

DiveVectorLength class.

Definition at line 14 of file CbcHeuristicDiveVectorLength.hpp.

## Constructor & Destructor Documentation

CbcHeuristicDiveVectorLength::CbcHeuristicDiveVectorLength | ( |  | ) |

CbcHeuristicDiveVectorLength::CbcHeuristicDiveVectorLength | ( | CbcModel & | model | ) |

CbcHeuristicDiveVectorLength::CbcHeuristicDiveVectorLength | ( | const CbcHeuristicDiveVectorLength & |  | ) |

CbcHeuristicDiveVectorLength::~CbcHeuristicDiveVectorLength | ( |  | ) |

## Member Function Documentation

virtual CbcHeuristicDiveVectorLength* CbcHeuristicDiveVectorLength::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcHeuristicDive.

CbcHeuristicDiveVectorLength& CbcHeuristicDiveVectorLength::operator= | ( | const CbcHeuristicDiveVectorLength & | rhs | ) |

Assignment operator.

Reimplemented from CbcHeuristicDive.

virtual void CbcHeuristicDiveVectorLength::generateCpp | ( | FILE * | fp | ) | `[virtual]`

Create C++ lines to get to current state.

Reimplemented from CbcHeuristicDive.

virtual bool CbcHeuristicDiveVectorLength::selectVariableToBranch | ( | OsiSolverInterface * | solver,
|  | const double * | newSolution,
|  | int & | bestColumn,
|  | int & | bestRound |
| ) |  |  | `[virtual]`

Selects the next variable to branch on.

Returns true if all the fractional variables can be trivially rounded. Returns false, if there is at least one fractional variable that is not trivially roundable. In this case, the bestColumn returned will not be trivially roundable.

Implements CbcHeuristicDive.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/src/CbcHeuristicDiveVectorLength.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines